%global modname narcissus.hub

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:               python-narcissus-hub
Version:            0.9.0.1
Release:            10%{?dist}
Summary:            Hub components for Narcissus, realtime log visualization

Group:              Development/Libraries
License:            AGPLv3+
URL:                http://pypi.python.org/pypi/narcissus.hub
Source0:            http://pypi.python.org/packages/source/n/%{modname}/%{modname}-%{version}.tar.gz
Patch0:             python-narcissus-hub-geolitecity-location.patch

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-moksha-hub
BuildRequires:      python-narcissus-common
BuildRequires:      python-pygeoip
BuildRequires:      python-geojson

%global _description\
This package contains the "hub" components for narcissus.  Narcissus is a web\
application that visualizes web server hits as they happen in real time.\
\
Features:\
\
* IP addresses converted to latitude/longitude, then streamed via\
  WebSockets to `polymaps <http://polymaps.org/>`_.\
* Realtime graphs of what countries are downloading what content with `d3\
  <http://d3js.org>`_.\
* `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.\
* **Fast**.  No polling.\
\
You can see a demo running live at http://narcissus.rc.rit.edu\
It is visualizing the logs of http://mirror.rit.edu

%description %_description

%package -n python2-narcissus-hub
Summary: %summary
Requires:           python-narcissus-common
Requires:           python-setuptools
Requires:           python-moksha-hub
Requires:           python-pygeoip
Requires:           python-geojson
%{?python_provide:%python_provide python2-narcissus-hub}

%description -n python2-narcissus-hub %_description

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p2

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/moksha/
cp development.ini %{buildroot}%{_sysconfdir}/moksha/production.ini.example-narcissus

%check
%{__python2} setup.py test

%files -n python2-narcissus-hub
%doc README.rst LICENSE
%{python2_sitelib}/narcissus/hub/
%{python2_sitelib}/%{modname}-%{version}*
%{_sysconfdir}/moksha/production.ini.example-narcissus

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.0.1-9
- Python 2 binary package renamed to python2-narcissus-hub
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 22 2014 Ralph Bean <rbean@redhat.com> - 0.9.0.1-2
- Added dep on python-narcissus-common

* Tue Jan 21 2014 Ralph Bean <rbean@redhat.com> - 0.9.0.1-1
- Initial package for Fedora
